<?php

include_once("internal/log.php");

include_once("internal/os_helpers.php");

global $argv;
$_debug_output = false;
if (in_array("debug_output", $argv)) {
	$_debug_output = true;
}

if (in_array("anonymous_pipes", $argv)) {
	// we are using stdout as way to communicate to server now -- can't output debugging to stdout
	$_debug_output = false;
}

date_default_timezone_set('UTC');

$_log_file = get_log_path() . "/" . get_log_filename();

// clear log now
file_put_contents($_log_file, "");

_log("command line parameters:");
foreach ($argv as $key => $value) {
	_log($value);
}
_log("----------------");

?>